/****************************************
* DEFINE CLASS ButtonUI 
*****************************************/
function ButtonUI(x, y, w, h, img, tooltipText,xoffset){
this.x = x;this.y = y;this.width = w;this.height = h;
this.img = img;
this.state = 0; //0-normal ;1-hover ;2-down ;3-disable
this.xoffset = xoffset;
this.Tooltip = window.CreateTooltip();
this.Tooltip.Text = tooltipText;
}

ButtonUI.prototype.Paint = function(gr){
    gr.DrawImage(this.img, this.x, this.y, this.width, this.height, this.xoffset, this.state*this.height, this.width, this.height, 0);
}

ButtonUI.prototype.MouseMove = function(x,y){
	if(x>this.x && x<this.x+this.width && y>this.y && y<this.y+this.height){
		if(this.state == 0){
			this.state = 1;
			this.Tooltip.Activate();
			window.RepaintRect(this.x, this.y, this.width, this.height);
		}
		return true;
	}else{
		this.Reset();
		return false;
	}
}

ButtonUI.prototype.MouseDown = function(x, y){
	if(this.state == 1){
		this.state = 2;
		window.RepaintRect(this.x, this.y, this.width, this.height);
		return true;
	}else return false;
}

ButtonUI.prototype.MouseUp = function(){
	if(this.state == 2){
		this.Reset();
		return true;
	}else return false;
}

ButtonUI.prototype.Reset = function(){
	if(this.state != 0){
		this.state = 0;
		this.Tooltip.Deactivate();
		window.RepaintRect(this.x, this.y, this.width, this.height);
	}
}